org.apache.tinkerpop.gremlin.groovy.jsr223.dsl.credential

## Interface CredentialTraversalDsl<S,E>

- All Superinterfaces:
    AutoCloseable, Cloneable, GraphTraversal<S,E>, GraphTraversal.Admin<S,E>, Iterator<E>, Serializable, Traversal<S,E>, Traversal.Admin<S,E>

      public interface CredentialTraversalDsl<S,E>
      extends GraphTraversal.Admin<S,E>

  A DSL for managing a "credentials graph" used by Gremlin Server for simple authentication functions.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.GraphTraversal

      `GraphTraversal.Admin<S,E>, GraphTraversal.Symbols`

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal

      `Traversal.Exceptions`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BCRYPT_ROUNDS`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default GraphTraversal<S,Vertex>` | `user(String username, String password)` Creates or updates a user.
    `default GraphTraversal<S,Vertex>` | `users()` Finds all users.
    `default GraphTraversal<S,Vertex>` | `users(String username, String... more)` Finds users by name.

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.GraphTraversal.Admin

      `addStep, clone, iterate`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal.Admin

      `addStart, addStarts, addStep, applyStrategies, equals, getBytecode, getEndStep, getGraph, getParent, getSideEffects, getStartStep, getSteps, getStrategies, getTraversalSource, getTraverserGenerator, getTraverserRequirements, isLocked, nextTraverser, removeStep, removeStep, reset, setGraph, setParent, setSideEffects, setStrategies`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.GraphTraversal

      `addE, addE, addV, addV, addV, aggregate, and, as, asAdmin, barrier, barrier, barrier, both, bothE, bothV, branch, branch, by, by, by, by, by, by, by, by, by, by, cap, choose, choose, choose, choose, choose, choose, coalesce, coin, connectedComponent, constant, count, count, cyclicPath, dedup, dedup, drop, emit, emit, emit, filter, filter, flatMap, flatMap, fold, fold, from, from, from, group, group, groupCount, groupCount, has, has, has, has, has, has, has, has, has, hasId, hasId, hasKey, hasKey, hasLabel, hasLabel, hasNot, hasValue, hasValue, id, identity, in, index, inE, inject, inV, is, is, key, label, limit, limit, local, loops, loops, map, map, match, math, max, max, mean, mean, min, min, not, option, option, optional, or, order, order, otherV, out, outE, outV, pageRank, pageRank, path, peerPressure, profile, profile, program, project, properties, property, property, propertyMap, range, range, read, repeat, repeat, sack, sack, sample, sample, select, select, select, select, select, select, select, shortestPath, sideEffect, sideEffect, simplePath, skip, skip, store, subgraph, sum, sum, tail, tail, tail, tail, timeLimit, times, to, to, to, to, toE, toV, tree, tree, unfold, union, until, until, V, value, valueMap, valueMap, values, where, where, where, with, with, write`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal

      `close, explain, fill, forEachRemaining, forEachRemaining, next, none, promise, toBulkSet, toList, toSet, toStream, tryNext`

    - ### Methods inherited from interface java.util.Iterator

      `hasNext, next, remove`

- - ### Field Detail

    - #### BCRYPT_ROUNDS

          static final int BCRYPT_ROUNDS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### users

          default GraphTraversal<S,Vertex> users()

      Finds all users.

    - #### users

          default GraphTraversal<S,Vertex> users(String username,
                                                 String... more)

      Finds users by name.

    - #### user

          default GraphTraversal<S,Vertex> user(String username,
                                                String password)

      Creates or updates a user.

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.